## ayatana-indicator-a11y 23.10.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.13)
project (ayatana-indicator-a11y C CXX)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET (CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

set (PROJECT_VERSION "23.10.3")
set (PACKAGE ${CMAKE_PROJECT_NAME})

# Options

option (ENABLE_WERROR "Treat all build warnings as errors" OFF)

set(CMAKE_BUILD_TYPE "Release")

if (ENABLE_WERROR)
    add_definitions ("-Werror")
endif ()

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    add_definitions ("-Weverything")
else ()
    add_definitions ("-Wall")
endif ()

# Translation

set (GETTEXT_PACKAGE "ayatana-indicator-a11y")
add_definitions (-DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}" -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")

# Prerequisites

include (GNUInstallDirs)
find_package (PkgConfig REQUIRED)
include (CheckIncludeFile)
include (FindPkgConfig)
pkg_check_modules (SERVICE_DEPS REQUIRED glib-2.0>=2.36 gio-2.0>=2.36 accountsservice libayatana-common)
include_directories (SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})

# Build

include_directories (${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories (${CMAKE_CURRENT_BINARY_DIR}/include)
add_subdirectory (src)
add_subdirectory (data)
add_subdirectory (po)

# Info

message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Build with -Werror: ${ENABLE_WERROR}")

=== data/CMakeLists.txt ===

# ayatana-indicator-a11y.service

pkg_check_modules (SYSTEMD systemd)

if (${SYSTEMD_FOUND})

    pkg_get_variable (SYSTEMD_USER_DIR systemd systemduserunitdir)
    configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.service.in" "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.service")
    install (FILES "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.service" DESTINATION "${SYSTEMD_USER_DIR}")

endif()

# ayatana-indicator-a11y.desktop

configure_file ("${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.desktop.in" "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.desktop")
install (FILES "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.desktop" DESTINATION "/etc/xdg/autostart")

# org.ayatana.indicator.a11y

install (FILES "${CMAKE_CURRENT_SOURCE_DIR}/org.ayatana.indicator.a11y" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/ayatana/indicators")

# org.ayatana.indicator.a11y.AccountsService.xml

install (FILES org.ayatana.indicator.a11y.AccountsService.xml DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/dbus-1/interfaces")
install (DIRECTORY DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/accountsservice/interfaces/")
install (CODE "message(STATUS \"Symlinking: \$ENV{DESTDIR}${CMAKE_INSTALL_FULL_DATADIR}/accountsservice/interfaces/org.ayatana.indicator.a11y.AccountsService.xml\")")
install (CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ../../dbus-1/interfaces/org.ayatana.indicator.a11y.AccountsService.xml \$ENV{DESTDIR}${CMAKE_INSTALL_FULL_DATADIR}/accountsservice/interfaces/org.ayatana.indicator.a11y.AccountsService.xml)")

# org.ayatana.indicator.a11y.AccountsService.policy

install (FILES org.ayatana.indicator.a11y.AccountsService.policy DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/polkit-1/actions")

# 50-org.ayatana.indicator.a11y.AccountsService.pkla

install (FILES 50-org.ayatana.indicator.a11y.AccountsService.pkla DESTINATION "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/polkit-1/localauthority/10-vendor.d")

# 50-org.ayatana.indicator.a11y.AccountsService.rules

install (FILES 50-org.ayatana.indicator.a11y.AccountsService.rules DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/polkit-1/rules.d")

# org.ayatana.indicator.a11y.gschema.xml

find_package (GSettings REQUIRED)
add_schema ("org.ayatana.indicator.a11y.gschema.xml")

=== src/CMakeLists.txt ===
# libayatanaindicatora11yservice.a

add_definitions (-DG_LOG_DOMAIN="ayatana-indicator-a11y")
add_library ("ayatanaindicatora11yservice" STATIC service.c)
include_directories (${CMAKE_SOURCE_DIR})
link_directories (${SERVICE_DEPS_LIBRARY_DIRS})

# ayatana-indicator-a11y-service

add_executable ("ayatana-indicator-a11y-service" main.c)
target_link_libraries ("ayatana-indicator-a11y-service" "ayatanaindicatora11yservice" "${SERVICE_DEPS_LIBRARIES} -ldl")
install (TARGETS "ayatana-indicator-a11y-service" RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")

=== debian/changelog ===
ayatana-indicator-a11y (23.10.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:39:47 +0000

ayatana-indicator-a11y (23.10.3-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:52:57 +0000

ayatana-indicator-a11y (23.10.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add B-D: libayatana-common-dev.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 31 Jan 2024 14:20:04 +0100

ayatana-indicator-a11y (23.10.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add B-D: libaccountsservice-dev.
    + Typo fix in LONG_DESCRIPTION. Thanks to Ionic for spotting this.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 29 Oct 2023 10:22:32 +0100

ayatana-indicator-a11y (0.0.1-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1051733).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 11 Sep 2023 22:24:46 +0200

=== debian/control ===
Source: ayatana-indicator-a11y
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Debian UBports Team <team+ubports@tracker.debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               libaccountsservice-dev,
               libayatana-common-dev,
               libglib2.0-dev (>= 2.36),
# for packaging
               debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1.1),
               intltool,
# for systemd unit
               systemd [linux-any],
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-a11y
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-a11y.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-a11y

Package: ayatana-indicator-a11y
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         onboard,
         orca,
         espeak-ng,
Description: Ayatana Indicator for Accessibility Settings
 This Ayatana Indicator provides quick access to accessibility related
 assistance applications such as the screen reader or an on-screen
 keyboard.
 .
 The provided accessibility indicator should show as an icon in the top
 panel of indicator aware desktop environments. It can be used to toggle
 and access various accessibility features.
 .
 Ayatana Indicators are only available on desktop environments that
 provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
 etc.).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_CMAKE_EXTRA_FLAGS = \
    $(NULL)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_install:
	find debian/ayatana-indicator-a11y -name \*.la -delete
	find debian/ayatana-indicator-a11y -name \*.a -delete
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/ayatana-indicator-a11y/ayatana-indicator-a11y-(.+)\.tar\.gz

## ayatana-indicator-a11y 24.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
     SET (CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
 endif (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
 
-set (PROJECT_VERSION "23.10.3")
+set (PROJECT_VERSION "24.4.1")
 set (PACKAGE ${CMAKE_PROJECT_NAME})
 
 # Options
@@ -24,19 +24,19 @@
     add_definitions ("-Wall")
 endif ()
 
-# Translation
-
-set (GETTEXT_PACKAGE "ayatana-indicator-a11y")
-add_definitions (-DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}" -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")
-
 # Prerequisites
 
 include (GNUInstallDirs)
 find_package (PkgConfig REQUIRED)
 include (CheckIncludeFile)
 include (FindPkgConfig)
-pkg_check_modules (SERVICE_DEPS REQUIRED glib-2.0>=2.36 gio-2.0>=2.36 accountsservice libayatana-common)
+pkg_check_modules (SERVICE_DEPS REQUIRED glib-2.0>=2.36 gio-2.0>=2.36 accountsservice libayatana-common x11 xrandr)
 include_directories (SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})
+
+# Translation
+
+set (GETTEXT_PACKAGE "ayatana-indicator-a11y")
+add_definitions (-DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}" -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")
 
 # Build

=== debian/changelog ===
ayatana-indicator-a11y (24.4.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add new requirements to B-D: libx11-dev, libxrandr-dev.
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 03 May 2024 08:41:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ayatana-indicator-a11y
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Debian UBports Team <team+ubports@tracker.debian.org>,
@@ -11,13 +10,15 @@
                libaccountsservice-dev,
                libayatana-common-dev,
                libglib2.0-dev (>= 2.36),
+               libx11-dev,
+               libxrandr-dev,
 # for packaging
                debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
                intltool,
 # for systemd unit
-               systemd [linux-any],
-Standards-Version: 4.6.2
+               systemd-dev [linux-any],
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-a11y
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-a11y.git

## ayatana-indicator-a11y 24.4.2

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,5 +8,5 @@
 # ayatana-indicator-a11y-service
 
 add_executable ("ayatana-indicator-a11y-service" main.c)
-target_link_libraries ("ayatana-indicator-a11y-service" "ayatanaindicatora11yservice" "${SERVICE_DEPS_LIBRARIES} -ldl")
+target_link_libraries ("ayatana-indicator-a11y-service" "ayatanaindicatora11yservice" "${SERVICE_DEPS_LIBRARIES} -ldl -lm")
 install (TARGETS "ayatana-indicator-a11y-service" RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")

=== debian/changelog ===
ayatana-indicator-a11y (24.4.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 12 Mar 2025 13:02:27 +0100

## ayatana-indicator-a11y 25.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
     SET (CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
 endif (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
 
-set (PROJECT_VERSION "24.4.1")
+set (PROJECT_VERSION "24.4.2")
 set (PACKAGE ${CMAKE_PROJECT_NAME})
 
 # Options

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -43,3 +43,8 @@
 
 find_package (GSettings REQUIRED)
 add_schema ("org.ayatana.indicator.a11y.gschema.xml")
+
+# ayatana-indicator-a11y-scale-down.svg
+# ayatana-indicator-a11y-scale-up.svg
+
+install (DIRECTORY "icons/" DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/icons/hicolor/scalable/status" FILES_MATCHING PATTERN "*.svg")

=== po/CMakeLists.txt ===
find_package(Intltool REQUIRED)

intltool_install_translations (ALL GETTEXT_PACKAGE ${GETTEXT_PACKAGE})

=== debian/changelog ===
ayatana-indicator-a11y (25.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Apr 2025 09:31:20 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                intltool,
 # for systemd unit
                systemd-dev [linux-any],
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-a11y
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-a11y.git
